summaryrefslogtreecommitdiffstats
path: root/package/htpdate/files
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-14 21:19:23 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-14 21:19:23 +0000
commit0e293cb5c5f2638b274078d48fe6192082c24b2e (patch)
tree6dcb66e187bff00e90db8c3c98e97f17c00a579a /package/htpdate/files
parente6a4618ce2fdc8707895de1e22b7dadfd3a8482f (diff)
Add htpdate package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@899 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/htpdate/files')
-rw-r--r--package/htpdate/files/htpdate.default1
-rw-r--r--package/htpdate/files/htpdate.init22
2 files changed, 23 insertions, 0 deletions
diff --git a/package/htpdate/files/htpdate.default b/package/htpdate/files/htpdate.default
new file mode 100644
index 000000000..8c182b3ee
--- /dev/null
+++ b/package/htpdate/files/htpdate.default
@@ -0,0 +1 @@
+OPTIONS="-D www.google.com www.yahoo.com www.linux.org www.freebsd.org"
diff --git a/package/htpdate/files/htpdate.init b/package/htpdate/files/htpdate.init
new file mode 100644
index 000000000..9af0e5595
--- /dev/null
+++ b/package/htpdate/files/htpdate.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=htpdate
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?